Bug 610842 - Review Request: meego-panel-devices - Meego devices panel
Review Request: meego-panel-devices - Meego devices panel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Dziallas
Fedora Extras Quality Assurance
:
Depends On: 610839
Blocks: MeeGo1
  Show dependency treegraph
 
Reported: 2010-07-02 11:02 EDT by Peter Robinson
Modified: 2010-08-24 03:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 03:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-07-02 11:02:57 EDT
SPEC: http://pbrobinson.fedorapeople.org/meego-panel-devices.spec
SRPM: http://pbrobinson.fedorapeople.org/meego-panel-devices-0.1.33-1.fc14.src.rpm

Description:

Panel for MeeGo for managing sound and disk devices.
Comment 1 Chen Lei 2010-07-06 11:01:47 EDT
Why not package this package instead temporarily for meego 1.0? It seems like meego 1.0 still use moblin-panel-devices.

http://git.moblin.org/cgit.cgi/moblin-panel-devices/
http://repo.meego.com/MeeGo/releases/1.0/netbook/repos/source/moblin-panel-devices-0.1.30-1.1.src.rpm

For meego 1.1, all moblin-* package should be renamed to meego-*.
Comment 2 Chen Lei 2010-07-06 11:07:22 EDT
From meego 1.0 branch, you'll find the package is actually still named as moblin-panel-devices.

http://meego.gitorious.org/meego-netbook-ux/meego-panel-devices/blobs/meego-1.0/configure.ac

AC_PREREQ(2.53) 
AC_INIT([moblin-panel-devices], [0.1.34], [http://bugs.meego.com])
Comment 3 Peter Robinson 2010-07-06 11:27:41 EDT
(In reply to comment #2)
> From meego 1.0 branch, you'll find the package is actually still named as
> moblin-panel-devices.
> 
> http://meego.gitorious.org/meego-netbook-ux/meego-panel-devices/blobs/meego-1.0/configure.ac
> 
> AC_PREREQ(2.53) 
> AC_INIT([moblin-panel-devices], [0.1.34], [http://bugs.meego.com])    

it is using 1.0 moblin-panel-device. If you look at the spec file it still references moblin. I'm using meego for the name of the package as when we move to 1.1 the name will move to meego so it will save a package rename. Please take this discussion to the mini@ mailing list and not on the review requests.
Comment 4 Chen Lei 2010-07-06 11:37:29 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > From meego 1.0 branch, you'll find the package is actually still named as
> > moblin-panel-devices.
> > 
> > http://meego.gitorious.org/meego-netbook-ux/meego-panel-devices/blobs/meego-1.0/configure.ac
> > 
> > AC_PREREQ(2.53) 
> > AC_INIT([moblin-panel-devices], [0.1.34], [http://bugs.meego.com])    
> it is using 1.0 moblin-panel-device. If you look at the spec file it still
> references moblin. I'm using meego for the name of the package as when we move
> to 1.1 the name will move to meego so it will save a package rename. Please
> take this discussion to the mini@ mailing list and not on the review requests.    

OK, I'll move this discussion to mini list.
Comment 5 Sebastian Dziallas 2010-08-07 17:14:30 EDT
I'll take this.
Comment 7 Sebastian Dziallas 2010-08-18 16:04:19 EDT
This looks good, with two issues remaining. Please fix the license tag and rpmlint before importing. APPROVED.

[  OK  ] specfiles match: 7af3d5c10d57d00f21faeeffc62c8c01
[  OK  ] source files match upstream: 397f5e6892ef95fa526abb392c1ccc63
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  NO  ] license field matches the actual license.

I think you actually want LGPLv2 instead of LGPLv2+ in the license tag.

[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[  NO  ] rpmlint is silent.

meego-panel-devices.i686: W: non-conffile-in-etc /etc/xdg/autostart/meego-power-icon.desktop
meego-panel-devices.i686: W: non-conffile-in-etc /etc/gconf/schemas/meego-panel-devices.schemas

[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  NA  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  NA  ] desktop files valid and installed properly.
Comment 8 Peter Robinson 2010-08-20 06:26:41 EDT
New Package GIT Request
=======================
Package Name: meego-panel-devices
Short Description: Meego devices panel
Owners: pbrobinson
Branches: F-14 F-13
InitialCC:
Comment 9 Kevin Fenzi 2010-08-23 17:05:29 EDT
Git done (by process-git-requests).
Comment 10 Peter Robinson 2010-08-24 03:14:39 EDT
Built in rawhide.

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.